cubes:
  - name: device_whitelist
    sql_table: inventory_v2.device_whitelist
    data_source: default

    joins: []

    dimensions:
      - name: id
        sql: id
        type: number
        primary_key: true

      - name: device_id
        sql: device_id
        type: string

      - name: created_at
        sql: created_at
        type: time

    measures:
      - name: count
        type: count

    pre_aggregations:
      # Pre-aggregation definitions go here.
      # Learn more in the documentation: https://cube.dev/docs/caching/pre-aggregations/getting-started

